﻿using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace IgniteUICombo.Controllers
{
    public class TestController : Controller
    {
        public ActionResult Index()
        {
            return View("Index");
        }

        [GridDataSourceAction]
        public ActionResult GetSpeakers()
        {
            Random r = new Random();
            List<Speaker> speakers = new List<Speaker>();
            for (int i = 0; i < 10; i++)
            {
                speakers.Add(new Speaker
                {
                    SpeakerID = r.Next(1, 4)
                });
            }

            return View(speakers.AsQueryable());
        }

        [ComboDataSourceAction]
        public ActionResult GetComboContacts()
        {
            List<Contact> contacts = new List<Contact>();
            for (int i = 1; i <= 10; i++)
            {
                contacts.Add(new Contact
                {
                    ContactID = i,
                    FullTitle = "Title " + i
                });
            }

            return View(contacts.AsQueryable());

        }
    }

    public class Speaker
    {
        public int SpeakerID { get; set; }
    }

    public class Contact
    {
        public int ContactID { get; set; }
        public string FullTitle { get; set; }
    }
}